Trả về lịch sử đặt lệnh của tài khoản
curl --request GET \
--url https://api.fireant.vn/broker-users/{userId}/accounts/{accountId}/orderHistory \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fireant.vn/broker-users/{userId}/accounts/{accountId}/orderHistory"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fireant.vn/broker-users/{userId}/accounts/{accountId}/orderHistory', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fireant.vn/broker-users/{userId}/accounts/{accountId}/orderHistory",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fireant.vn/broker-users/{userId}/accounts/{accountId}/orderHistory"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.fireant.vn/broker-users/{userId}/accounts/{accountId}/orderHistory")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fireant.vn/broker-users/{userId}/accounts/{accountId}/orderHistory")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"id": "<string>",
"instrument": "<string>",
"instrumentItem": {
"instrument": "<string>",
"symbol": "<string>",
"name": "<string>",
"exchange": "<string>",
"unit": 123,
"type": "<string>",
"supportStopOrder": true,
"supportLimitOrder": true
},
"qty": 123,
"qtyType": 123,
"side": "<string>",
"type": "<string>",
"filledQty": 123,
"avgPrice": 123,
"limitPrice": 123,
"stopPrice": 123,
"lastModified": 123,
"status": "<string>"
}
]OrdersHistory
Trả về lịch sử đặt lệnh của tài khoản
GET
/
broker-users
/
{userId}
/
accounts
/
{accountId}
/
orderHistory
Trả về lịch sử đặt lệnh của tài khoản
curl --request GET \
--url https://api.fireant.vn/broker-users/{userId}/accounts/{accountId}/orderHistory \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fireant.vn/broker-users/{userId}/accounts/{accountId}/orderHistory"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fireant.vn/broker-users/{userId}/accounts/{accountId}/orderHistory', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fireant.vn/broker-users/{userId}/accounts/{accountId}/orderHistory",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fireant.vn/broker-users/{userId}/accounts/{accountId}/orderHistory"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.fireant.vn/broker-users/{userId}/accounts/{accountId}/orderHistory")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fireant.vn/broker-users/{userId}/accounts/{accountId}/orderHistory")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"id": "<string>",
"instrument": "<string>",
"instrumentItem": {
"instrument": "<string>",
"symbol": "<string>",
"name": "<string>",
"exchange": "<string>",
"unit": 123,
"type": "<string>",
"supportStopOrder": true,
"supportLimitOrder": true
},
"qty": 123,
"qtyType": 123,
"side": "<string>",
"type": "<string>",
"filledQty": 123,
"avgPrice": 123,
"limitPrice": 123,
"stopPrice": 123,
"lastModified": 123,
"status": "<string>"
}
]Ủy quyền
OAuth2 Implicit Grant
Tham số đường dẫn
Id của user đã kết nối vào tài khoản FireAnt
Id tài khoản tại công ty chứng khoán của user
Tham số truy vấn
Số lượng bản ghi tối đa